# /packages/intranet-filestorage-size-indicator/tcl/intranet-filestorage-size-indicator-init.tcl
#
# Copyright (c) 2015 ]project-open[ (Project Open Business Solutions, S.L.)
#
# All rights reserved. Please check
# http://www.project-open.com/en/project-open-license-commercial
#
# @author frank.bergmann@project-open.com

ad_library {

    Initialization for intranet-filestorage-size-indicator package
    
    @author Frank Bergmann (frank.bergmann@project-open.com)
    @creation-date 13 August, 2015
    @cvs-id $Id$
}


# Calculate the size of the file storage every day or so
set sweeper_interval [parameter::get_from_package_key -package_key intranet-filestorage-size-indicator -parameter SweeperInterval -default 86400] 
if {"" != $sweeper_interval && [string is integer $sweeper_interval] && $sweeper_interval > 0} {
    ad_schedule_proc -thread t $sweeper_interval im_filestorage_size_indicator_sweeper
}
